def or_(df, condition_bool_col_list: list[str], result: str):
    """
    Logical OR. Returns True if ANY of selected columns is True, or else returns False
    :param condition_bool_col_list: Logical (boolean) columns with True or False values
    :param result: Resulting column name
    """
    import numpy as np

    combined_result = df[condition_bool_col_list[0]]
    for i in range(1, len(condition_bool_col_list)):
        combined_result = np.logical_or(combined_result, df[condition_bool_col_list[i]])

    df[result] = combined_result

    return df
